# Application References Application References ## Creates a new application reference record that does not already exist. - [POST /applicationReferences/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/createapplicationreference.md): This method will auto-generate an ID and create a new application reference. If an ID is specified for the application reference, an error will be thrown. ## Returns a list of records with the specified application_id - [GET /applicationReferences/{tenantId}/application/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/listreferencesbyapplicationid.md): Returns a list of records with the specified application_id ## Execute Batch Operations - [POST /applicationReferences/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /applicationReferences/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/listreferencesbycontactid.md): Returns a list of records with the specified contact_id ## Sends out a preview of the CRC notification email - [POST /applicationReferences/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/previewemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /applicationReferences/{tenantId}/process/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/processreferences.md): Sends out a preview of the CRC notification email ## Submit a reference - [POST /applicationReferences/{tenantId}/submit](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/submitreference.md) ## Returns a application reference from the system by its ID. - [DELETE /applicationReferences/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/deleteapplicationreference.md): This method will delete a application reference with the specified ID. ## Returns a application reference from the system by its ID. - [GET /applicationReferences/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/getapplicationreference.md): This method will look up a application reference by the specified ID and return it back. ## Partially updates a application reference with the specified ID. - [PATCH /applicationReferences/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/patchapplicationreference.md): This method will patch an existing application reference with the specified ID, using the HTTP PATCH specification. ## Updates a application reference with the specified ID. - [PUT /applicationReferences/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/application-references/updateapplicationreference.md): This method will update an existing application reference with the specified ID.